% this function repeats a simple matrix multiplication a number while
% varying the number of threads used to do the computation. This is to
% show speedup of automatic multi threading in Matlab

function [ C ] = multithread_matrixmult( A,B )

% first get rid of warning from maxNumCompThreads
warning('off','MATLAB:maxNumCompThreads:Deprecated');

% set maxNumCompThreads to 1 (sequential)
max_threads= maxNumCompThreads(1);

% getting base line
C = A*B;

tic;
C=A*B;
btime = toc;
fprintf('Computation time using 1 thread is %8.7f.\n',btime);
for i = 2:2:(max_threads+1);
    % set the number of threads
    maxNumCompThreads(i);
    % do the multiplication using i threads
    tic;
    C=A*B;
    mytime = toc;
    fprintf('Computation time using %i threads is %8.7f  (speedup = %8.7f).\n',i,mytime,btime/mytime);
end

% set maxNumCompThreads to original value
maxNumCompThreads(max_threads);

% turn warning from maxNumCompThreads on again
warning('on','MATLAB:maxNumCompThreads:Deprecated');


end

